Obtener Agente por Canal
curl --request GET \
--url https://api.plazbot.com/api/agent/get-by-channel \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.plazbot.com/api/agent/get-by-channel"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.plazbot.com/api/agent/get-by-channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"model": "<string>",
"prompt": "<string>",
"temperature": 123,
"maxTokens": 123,
"channelId": "<string>",
"platformType": "<string>",
"widgetEnabled": true,
"workspaceId": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"files": [
"<string>"
]
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Agent
Obtener Agente por Canal
Servicio para obtener un Agente de IA asociado a un canal especifico.
GET
/
api
/
agent
/
get-by-channel
Obtener Agente por Canal
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Query Parameters
ID del canal
Identificador del workspace
Response
Agente obtenido exitosamente
Indica si la operacion fue exitosa
Codigo HTTP de la respuesta
Codigo de error, null si no hay error
Mensaje descriptivo del resultado
Agente de Inteligencia Artificial configurado en el workspace
Show child attributes
Show child attributes
⌘I

